apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  selfLink: >-
    /apis/monitoring.coreos.com/v1/namespaces/ndp-test-crw270/servicemonitors/openshift-workspaces-metrics-exporter
  resourceVersion: '1723005'
  name: openshift-workspaces-metrics-exporter
  uid: f16c0b69-a6ae-4d00-bb12-61cdf50c9a50
  creationTimestamp: '2021-03-25T17:52:38Z'
  generation: 2
  managedFields:
    - apiVersion: monitoring.coreos.com/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:ownerReferences': {}
        'f:spec':
          .: {}
          'f:endpoints': {}
          'f:namespaceSelector':
            .: {}
            'f:matchNames': {}
          'f:selector':
            .: {}
            'f:matchLabels':
              .: {}
              'f:app.kubernetes.io/component': {}
      manager: catalog
      operation: Update
      time: '2021-03-25T18:04:54Z'
  namespace: ndp-test-crw270
  ownerReferences:
    - apiVersion: operators.coreos.com/v1alpha1
      blockOwnerDeletion: false
      controller: false
      kind: ClusterServiceVersion
      name: crwoperator.v2.7.1
      uid: 023bc04c-571a-4d76-8fd1-1f0d900a0212
spec:
  endpoints:
    - interval: 30s
      port: metrics
      scheme: http
  namespaceSelector:
    matchNames:
      - openshift-workspaces
  selector:
    matchLabels:
      app.kubernetes.io/component: codeready
